%global _empty_manifest_terminate_build 0
Name:           python-oslo-cache
Version:        2.7.0
Release:        3
Summary:        Cache storage for OpenStack projects.
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.cache/latest
Source0:        https://files.pythonhosted.org/packages/85/18/1130e00c9d7045fae5996b68a01c7c4c557bf94d8d6a285e4b4ce42295ee/oslo.cache-2.7.0.tar.gz
BuildArch:      noarch
%description
oslo.cache aims to provide a generic caching mechanism for OpenStack projects by
wrapping the dogpile.

%package -n python3-oslo-cache
Summary:        Cache storage for OpenStack projects.
Provides:       python-oslo-cache
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-dogpile-cache
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-memcached
BuildRequires:  python3-etcd3gw
BuildRequires:  python3-pymongo
# General requires
Requires:       python3-dogpile-cache
Requires:       python3-oslo-config
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-memcached
Requires:       python3-etcd3gw
Requires:       python3-pymongo
# Tests running requires
Requires:       python3-bandit
Requires:       python3-etcd3gw
Requires:       python3-hacking
Requires:       python3-oslotest
Requires:       python3-pifpaf
Requires:       python3-pre-commit
Requires:       python3-pymemcache
Requires:       python3-pymongo
# The required uhashring is missing on 22.03-LTS, binary-memcached is a third part driver which is not the must required package.
# Drop it now. We'll add it back in the next LTS update version
# Requires:       python3-binary-memcached
Requires:       python3-memcached
Requires:       python3-stestr
%description -n python3-oslo-cache
oslo.cache aims to provide a generic caching mechanism for OpenStack projects by
wrapping the dogpile.

%package help
Summary:        Cache storage for OpenStack projects.
Provides:       python3-oslo-cache-doc
%description help
oslo.cache aims to provide a generic caching mechanism for OpenStack projects by
wrapping the dogpile.

%prep
%autosetup -n oslo.cache-2.7.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

# bandit doesn't satisfy the requirements. Skip check now.
#%check
#%{__python3} setup.py test

%files -n python3-oslo-cache -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 2.7.0-3
- Fix install error

* Fri Mar 04 2022 wangxiyuan <wangxiyuan1007@gmail.com> - 2.7.0-2
- Drop binary-memcached temporarily
* Mon Jul 12 2021 OpenStack_SIG <openstack@openeuler.org> - 2.7.0-1
- Upgrade version
* Fri Jan 22 2021 zhangy1317 <zhangy1317@foxmail.com>
- Add BuildRequires python3-pbr and python3-pip
* Fri Nov 20 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
